@import "~bootstrap/dist/css/bootstrap.css";
@import "~font-awesome/css/font-awesome.css";

$fontFamily: Lucida Grande, Lucida Sans, Arial, sans-serif;

$lightGrey: #eaeaea;
$blackBlueGrey: #1b1b27;
$lightBlueGrey: #262636;
$blackGrey: #292929;

*{
  padding: 0;
  margin: 0;

  font-family: $fontFamily
}

.bg{
  width: 100%;
  height: 100vh;
  background-color: $lightBlueGrey;
}

.header-bg{
  padding: 0;
  background-color: $blackBlueGrey;
}

.header-first{
  height: 100%;
  width: 100%;
  background-color: $lightBlueGrey;
  border-radius: 0 10px 0 0;
}

.header-last{
  height: 100%;
  width: 100%;
  background-color: $lightBlueGrey;
  border-radius: 10px 0 0 0;
  color: $lightGrey;
}

.search{
  // width: 500px;
  padding: 20px 20px 10px 20px;
  background-color: $blackBlueGrey;
  border-radius: 0 0 10px 10px;
  border-bottom: 2px solid $lightGrey;

  input{
    width: 100%;
    padding: 2px 3px;
    background-color: $blackBlueGrey;
    color: $lightGrey;
    border: 1px solid $lightGrey;
    border-radius: 2px;
  }

  button{
    width: 100%;
    margin: 10px 0 0 0;
  }
}

.alert {
  z-index: 99;
  position: absolute;
  top: 20px;
  left: calc(50% - 250px);
  width: 500px;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.loader {
  margin: 8px auto 0px auto;
  border: 4px solid #f3f3f3;
  border-radius: 50%;
  border-top: 4px solid #3498db;
  width: 30px;
  height: 30px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 1s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  30% { transform: rotate(90deg); }
  70% { transform: rotate(270deg); }
  100% { transform: rotate(360deg); }
}
